﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Games.Entities
{
    public class Studio : Entity
    {
        [Required]
        public int FoundationYear { get; set; }

        public virtual ICollection<Game> Games { get; set; }


        public Studio()
        {
            Games = new List<Game>();
        }
    }
}
