﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Diagnostics;
using System.Linq;
using System.Web;
using Games.Entities;

namespace Games.Web.DataProviders
{
    public class GamesDbContext : DbContext
    {
        public GamesDbContext()
            : base("DefaultConnection")
        {
            Database.Log = log => Debug.WriteLine(log, "GamesDbContext");
        }

        public DbSet<Game> Games { get; set; }

        public DbSet<Studio> Studios { get; set; }
    }
}